/**
 * Copyright 2018-2020 stylefeng & fengshuonan (sn93@qq.com)
 * <p>
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 * <p>
 * http://www.apache.org/licenses/LICENSE-2.0
 * <p>
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
package com.inkasso.adapter.web;


import com.inkasso.adapter.bean.AbstractUser;

/**
 * 采用InheritableThreadLocal保存用户信息
 */
public class LoginUserHolder {

  private static final ThreadLocal<AbstractUser> LONGIN_USER_HOLDER = new InheritableThreadLocal<>();

  /**
   * 给当前线程里保存用户信息
   */
  public static void set(AbstractUser abstractLoginUser) {
    LONGIN_USER_HOLDER.set(abstractLoginUser);
  }

  /**
   * 获取用户信息
   */
  public static AbstractUser get() {
    AbstractUser user = LONGIN_USER_HOLDER.get();
    return user;
  }

  public static void clear() {
    LONGIN_USER_HOLDER.remove();
  }

}
